Package org.apache.struts2.components

# Class Property

java.lang.Object
org.apache.struts2.components.Component
org.apache.struts2.components.Property

public class Property extends Component

Used to get the property of a value, which will default to the top of the stack if none is specified.

- default (String) - The default value to be used if value attribute is null
- escapeCsv (Boolean) - Escape CSV. Defaults to false
- escapeHtml (Boolean) - Escape HTML. Defaults to true
- escapeJavaScript (Boolean) - Escape JavaScript. Defaults to false
- escapeXml (Boolean) - Escape XML. Defaults to false
- value (Object) - value to be displayed

     <s:push value="myBean">

         <s:property value="myBeanProperty" />

         TextUtils
         <s:property value="myBeanProperty" default="a default value" />
     </s:push>

     Example 1 prints the result of myBean's getMyBeanProperty() method.
     Example 2 prints the result of myBean's getMyBeanProperty() method and if it is null, print 'a default value' instead.

     <s:property value="getText('some.key')" />

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.components.Component

  `actionMapper, attributes, COMPONENT_STACK, devMode, escapeHtmlBody, performClearTagStateForTagPoolingServers, stack, standardAttributesMap, throwExceptionOnELFailure`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Property(ValueStack stack)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDefault(String defaultValue)`
  `void`
  `setDefaultValue(String defaultValue)`
  `void`
  `setEscapeCsv(boolean escapeCsv)`
  `void`
  `setEscapeHtml(boolean escape)`
  `void`
  `setEscapeJavaScript(boolean escapeJavaScript)`
  `void`
  `setEscapeXml(boolean escapeXml)`
  `void`
  `setValue(String value)`
  `boolean`
  `start(Writer writer)`
  Callback for the start tag of this component.

  ### Methods inherited from class org.apache.struts2.components.Component

  `addAllAttributes, addParameter, completeExpression, copyAttributes, determineActionURL, determineNamespace, end, end, escapeHtmlBody, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getAttributes, getComponentStack, getNamespace, getPerformClearTagStateForTagPoolingServers, getStack, getStandardAttributes, isAcceptableExpression, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setEscapeHtmlBody, setNotExcludedAcceptedPatterns, setPerformClearTagStateForTagPoolingServers, setThrowExceptionsOnELFailure, setUrlHelper, stripExpression, toString, usesBody`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Property

    public Property(ValueStack stack)

- ## Method Details

  - ### setDefault

    public void setDefault(String defaultValue)

  - ### setEscapeHtml

    public void setEscapeHtml(boolean escape)

  - ### setEscapeJavaScript

    public void setEscapeJavaScript(boolean escapeJavaScript)

  - ### setValue

    public void setValue(String value)

  - ### setDefaultValue

    public void setDefaultValue(String defaultValue)

  - ### setEscapeCsv

    public void setEscapeCsv(boolean escapeCsv)

  - ### setEscapeXml

    public void setEscapeXml(boolean escapeXml)

  - ### start

    public boolean start(Writer writer)
    Description copied from class: `Component`
    Callback for the start tag of this component. Should the body be evaluated?
    Overrides:
      `start` in class `Component`
    Parameters:
      `writer` - the output writer.
    Returns:
      true if the body should be evaluated